## python-couchdb 0.8

=== Makefile ===
.PHONY: test doc upload-doc

test:
	PYTHONPATH=. python couchdb/tests/__init__.py

doc:
	python setup.py build_sphinx

upload-doc:
	python setup.py upload_sphinx

=== debian/changelog ===
python-couchdb (0.8-1) unstable; urgency=low

  * New upstream version (Closes: #616354)
  * Package adopted.
  * Package moved to collab-maint, git.
  * Patches converted to quilt-format, added DEP-3 header.
  * Patches refreshed, 02-python2.5_compatibility.patch removed (httplib2
    not used anymore)
  * Use "3.0 (quilt)" source format.
  * Add XS-Python-Version to debian/control.
  * debian/rules rewritten using dh7
  * debhelper compatibility level bumped to 8
  * Added myself to debian/copyright
  * Standards-Version bumped to 3.9.2
  * Removed dependencies on python-httplib2
  * Switch from epydoc to sphinx documentation build
  * Added doc-base hint
  * Don't point to the BSD file in /usr/share/common-licenses/, but
    rather include the right text
  * Use system-wide jQuery instead of the embedded one
  * Enable view server in CouchDB (Closes: #554580)

 -- David Paleino <dapal@debian.org>  Mon, 18 Apr 2011 12:42:00 +0200

python-couchdb (0.6-1) unstable; urgency=low

  [ Noah Slater ]
  * Updated debian/control, updated Build-Depends on debhelper to 7.2.11.

  [ Piotr Ożarowski ]
  * New upstream release. Closes: #537456
  * Add python-cjson as an alternative dependency to python-simplejson and
    python >= 2.6 (due to new couchdb/json.py)
  * python2.5_compatibility.patch added
  * Remove PYTHONPATH from debian/rules, not really needed
  * Standards-Version bumped to 3.8.3 (no other changes needed)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 18 Aug 2009 19:42:22 +0200

python-couchdb (0.5-1) experimental; urgency=low

  * New upstream release.
  * Added debian/README.source file.
  * Updated debian/control, updated Vcs-Browser.
  * Updated debian/control, updated Depends.
  * Updated debian/control, updated Description.
  * Updated debian/copyright, added additional copyright holder.
  * Updated debian/rules, improved uscan options for get-orig-source.

 -- Noah Slater <nslater@tumbolia.org>  Sun, 18 Jan 2009 20:26:37 +0000

python-couchdb (0.4-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control, added Build-Depends.
  * Updated debian/control, updated Standards-Version to 3.8.0.
  * Updated debian/copyright, updated for latest format proposal.
  * Updated debian/rules, added API documentation generation.

 -- Noah Slater <nslater@tumbolia.org>  Thu, 10 Jul 2008 15:47:33 +0100

python-couchdb (0.3-2) unstable; urgency=low

  * Updated debian/control, updated Suggests. Closes: #469027

 -- Noah Slater <nslater@tumbolia.org>  Tue, 04 Mar 2008 23:20:56 +0000

python-couchdb (0.3-1) unstable; urgency=low

  * Initial release. Closes: #447596

 -- Noah Slater <nslater@tumbolia.org>  Tue, 12 Feb 2008 21:57:28 +0000

=== debian/control ===
Source: python-couchdb
Section: python
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , python
Build-Depends-Indep:
 help2man
 , python-sphinx
 , python-pygments
 , python-simplejson
 , python-setuptools (>= 0.6b3)
 , python-support (>= 0.6.4)
Standards-Version: 3.9.2
XS-Python-Version: >= 2.5
Homepage: http://pypi.python.org/pypi/CouchDB
Vcs-Git: git://git.debian.org/collab-maint/python-couchdb.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-couchdb.git

Package: python-couchdb
Architecture: all
Depends:
 ${python:Depends}
 , ${misc:Depends}
 , python-simplejson | python (>= 2.6) | python-cjson
 , libjs-jquery
Suggests: couchdb
Description: library for working with Apache CouchDB
 Provides a high-level client library for Apache CouchDB, a view server and dump
 and load utilities that can be used as migration tools when upgrading or moving
 between databases.
 .
 Apache CouchDB is a distributed document database system with bi-directional
 replication. It makes it simple to build collaborative applications that can
 be replicated offline by users, with full interactivity (query, add, update,
 delete), and later "synced up" with everyone else's changes when back online.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

UPVER=$(shell dpkg-parsechangelog  | grep ^Version | cut -d\  -f2 | cut -d- -f1)

VERSION = __import__('pkg_resources').get_distribution('CouchDB').version

%:
	dh $@ \
		-Spython_distutils

override_dh_auto_build:
	sed -i -e "s/$(VERSION)/\"$(UPVER)\"/" couchdb/__init__.py
	touch couchdb/tools/__init__.py
	dh_auto_build -- build_sphinx
	
	chmod 755 couchdb-* couchpy
	help2man -N -n "a CouchDB dump utility" ./couchdb-dump > couchdb-dump.1
	help2man -N -n "a CouchDB load utility" ./couchdb-load > couchdb-load.1
	help2man -N -n "a CouchDB Python view server" ./couchpy > couchpy.1

override_dh_auto_install:
	dh_auto_install -- --single-version-externally-managed

	-rm -rf $(CURDIR)/debian/usr/share/doc/python-couchdb/html/_static/jquery.js

override_dh_clean:
	dh_clean
	-rm -rf doc/build
	-rm -rf CouchDB.egg-info/

	sed -i -e "s/\"$(UPVER)\"/$(VERSION)/" couchdb/__init__.py

.PHONY: get-orig-source
get-orig-source:
    uscan --force-download --rename --download-version=$(UPVER) --destdir .

## python-couchdb 0.10

=== Makefile ===
.PHONY: test doc upload-doc

test: test2 test3

test2:
	PYTHONPATH=. python -m couchdb.tests

test3:
	PYTHONPATH=. python3 -m couchdb.tests

doc:
	python setup.py build_sphinx

upload-doc:
	python setup.py upload_sphinx

=== debian/changelog ===
python-couchdb (0.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/util3_pycompile.diff to disable unused pyexec and
    fix install failure during pycompile (Closes: #765086)
    - Patch thanks to Michael Vogt

 -- Scott Kitterman <scott@kitterman.com>  Thu, 13 Nov 2014 01:17:25 -0500

python-couchdb (0.10-1) unstable; urgency=medium

  * New upstream version
  * Fix typo in debian/rules (Closes: #750225)
  * Standards-Version bumped to 3.9.6, no changes needed
  * Bumped debhelper compatibility to 9
  * Make canonical Vcs-* urls
  * Patches refreshed
  * Updated debian/copyright
  * Use dh_python2 instead of pysupport

 -- David Paleino <dapal@debian.org>  Sun, 28 Sep 2014 18:14:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
- debhelper (>= 8~)
+ debhelper (>= 9~)
  , python
 Build-Depends-Indep:
  help2man
@@ -11,12 +11,12 @@
  , python-pygments
  , python-simplejson
  , python-setuptools (>= 0.6b3)
- , python-support (>= 0.6.4)
-Standards-Version: 3.9.2
+ , dh-python
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.5
 Homepage: http://pypi.python.org/pypi/CouchDB
-Vcs-Git: git://git.debian.org/collab-maint/python-couchdb.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/python-couchdb.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-couchdb.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/python-couchdb.git
 
 Package: python-couchdb
 Architecture: all
@@ -25,6 +25,7 @@
  , ${misc:Depends}
  , python-simplejson | python (>= 2.6) | python-cjson
  , libjs-jquery
+ , libjs-underscore
 Suggests: couchdb
 Description: library for working with Apache CouchDB
  Provides a high-level client library for Apache CouchDB, a view server and dump

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 %:
 	dh $@ \
-		-Spython_distutils
+		-Spython_distutils \
+		--with python2
 
 override_dh_auto_build:
 	sed -i -e "s/$(VERSION)/\"$(UPVER)\"/" couchdb/__init__.py
@@ -33,4 +34,4 @@
 
 .PHONY: get-orig-source
 get-orig-source:
-    uscan --force-download --rename --download-version=$(UPVER) --destdir .
+	uscan --force-download --rename --download-version=$(UPVER) --destdir .

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/C/CouchDB/CouchDB-(.*)\.tar\.gz
